This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 869817 - brasero silently ignores I/O errors reading .iso file
brasero silently ignores I/O errors reading .iso file
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: brasero (Show other bugs)
6.3
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: David King
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 17:02 EDT by D. Hugh Redelmeier
Modified: 2017-09-14 08:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Hugh Redelmeier 2012-10-24 17:02:45 EDT
Description of problem:
Brasero ignores read errors when burning a DVD from a .iso file.
The user thinks a fine DVD has been burnt, but that is not the case.


Version-Release number of selected component (if applicable):
2.28.3

How reproducible:
You need to have a .iso file with a bad hard drive sector (sadly, I do).
I've been able to reproduce it several times (inadvertently -- quite a waste of DVDs and time).

Steps to Reproduce:
1.You need to have a .iso file with a bad hard drive sector (sadly, I do).
2.Try to burn that file with brasero.
3.If nothing else goes wrong, brasero will say: "Image successfully burnt to CD" (even though it is a DVD).
  
Actual results:
brasero says that it succeeded.

dmesg says that there were hard disk drive errors.  smartctl and dd too.

Expected results:
brasero says: I/O error in .iso file; burning aborted.

Additional info:
Knowing about I/O failures is critical.  Hiding them from the user is a big mistake.

The .iso with a problem was Fedora-17-x86_64-DVD.iso.  I detected the problem when installation failed (but the symptom did not clearly point at the problem).

Since getting I/O error for testing purposes is hard, I would consider NOT fixing my hard drive for a modest amount of time to facilitate testing of any proposed brasero fix.  Let me know ASAP if this is useful.
Comment 2 RHEL Product and Program Management 2013-10-13 20:20:26 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.